Subject: Re: [PATCH v3] cherry-pick: make sure all input objects are commits

From: Michael Haggerty <[email-masked]>
Date: Tue, 16 Apr 2013 16:22:37 +0200

On 04/15/2013 09:12 PM, Junio C Hamano wrote:
> The paths given to handle_refs() may also have to be copied before
> saved, depending on how ref iteration is implemented, details of
> which may change as Michael seems to be updating the area again.
> I think we let the callback peek ref_entry->name[] which is stable,
> so I suspect we are OK.

ref_entry->name is stable as long as invalidate_ref_cache() is not
called, and I am not even thinking of changing that (partly because I
don't have the energy to audit and adjust all of the callers).

Michael

-- 
Michael Haggerty
[email-masked]
http://softwareswirl.blogspot.com/